Create Wikipedia Santali
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Santali.

  • Local file uploads: disabled

Thank you.

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 28 2018, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm claimed this task.Jun 28 2018, 2:41 PM
Urbanecm triaged this task as Low priority.
Urbanecm added a subscriber: Urbanecm.

Will do initial cfg.

Change 442867 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Add sat to langs.tmpl

https://gerrit.wikimedia.org/r/442867

Change 442871 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for satwiki

https://gerrit.wikimedia.org/r/442871

Please get somebody translate things in T198404 and T198405. Thank you!

Change 442874 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Introduce satwiki to WikimediaMessages

https://gerrit.wikimedia.org/r/442874

Urbanecm removed Urbanecm as the assignee of this task.Jun 28 2018, 3:09 PM

Nothing left for me.

@Urbanecm, I'll ask the test administrators to respond.

Feel free to assign to me the translation patches for core and extensions. Thanks.

@MarcoAurelio If you want, claim them, but I think it'll be better if I'll upload patch and you'll merge it, because we should have at least 2 people looking on code in all cases.

@Urbanecm Yep, that's what I meant :) Regards.

Oh, I forgot it is possible to assign patch nowadays :D. Will do, thanks.

Assign/Add me as reviewer, whatever you prefer :-)

Hello, I have completed translation task T198404 and T198405. If you need further help in any kind of translation for this project then kindly notify me. Thanks...

Change 442874 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Introduce satwiki to WikimediaMessages

https://gerrit.wikimedia.org/r/442874

This comment was removed by Aftabuzzaman.

Default project timezone should be UTC for the same reason mentioned in this edit summary.

Neriman2003 updated the task description. (Show Details)Jul 14 2018, 11:52 AM

Default project timezone should be UTC for the same reason mentioned in this edit summary.

Ok, patch amended.

Reedy changed the task status from Open to Stalled.Aug 2 2018, 11:29 AM
Reedy added a subscriber: Reedy.

DNS patch not merged/deployed, so cannot create the wiki

sat needs adding to langlist and interwiki sorting orders too

Change 442867 merged by Filippo Giunchedi:
[operations/dns@master] Add sat to langs.tmpl

https://gerrit.wikimedia.org/r/442867

Urbanecm changed the task status from Stalled to Open.Aug 2 2018, 11:40 AM

DNS fixed, added into langlist and interwikisortorders as well.

Change 442871 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for satwiki

https://gerrit.wikimedia.org/r/442871

Urbanecm assigned this task to Reedy.Aug 2 2018, 12:26 PM

Wikis are live. Thank you @Reedy and all who helped! Leaving those tasks opened because other things will be necessary, as they always are when creating new wiki.

Change 450011 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/restbase/deploy@master] Add new wikis

https://gerrit.wikimedia.org/r/450011

Change 450010 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/450010

Change 450015 had a related patch set uploaded (by Reedy; owner: Reedy):
[analytics/refinery@master] Add new wikis

https://gerrit.wikimedia.org/r/450015

Change 450011 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add new wikis

https://gerrit.wikimedia.org/r/450011

Change 450010 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/450010

Change 450010 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/450010

I think, here name should be ᱥᱟᱱᱛᱟᱲᱤ ( language name in santali ) and sitename should be ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ ( project name in santali ) as mentioned in Request page

Reedy added a comment.Aug 4 2018, 12:44 AM

Change 450010 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/450010

I think, here name should be ᱥᱟᱱᱛᱟᱲᱤ ( language name in santali ) and sitename should be ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ ( project name in santali ) as mentioned in Request page

Unfortunately, both show as squares for me, as I don't have the character sets. Update the sitename in InitialiseSettings.php, and the change will filter through

Unfortunately, both show as squares for me, as I don't have the character sets. Update the sitename in InitialiseSettings.php, and the change will filter through

Hello @Reedy Click this link to download santali(ol chiki) fonts & install it . may be helpful for you.

Change 450015 merged by Fdans:
[analytics/refinery@master] Add new wikis

https://gerrit.wikimedia.org/r/450015

Unfortunately, both show as squares for me, as I don't have the character sets. Update the sitename in InitialiseSettings.php, and the change will filter through

Hello @Reedy Click this link to download santali(ol chiki) fonts & install it . may be helpful for you.

I'll do it, chars works for me now.

Change 450469 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add correct sitename for satwiki

https://gerrit.wikimedia.org/r/450469

Sitename uploaded, anybody who knows where the language name comes from? I'll update it as well then.

Change 450470 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Change name of Santali to localized version

https://gerrit.wikimedia.org/r/450470

This comment was removed by Ramjit99.

Change 450470 merged by jenkins-bot:
[mediawiki/core@master] Change name of Santali to localized version

https://gerrit.wikimedia.org/r/450470

Hello @Urbanecm @MarcoAurelio
I think here also need to change name and sitename in sitematrix.json . Can you do this ?
https://gerrit.wikimedia.org/r/450010

  • name: ᱥᱟᱱᱛᱟᱲᱤ
  • sitename: ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ

Pinging @Reedy as the author of the patch above. I am not sure how that repo works.

Reedy added a comment.Aug 8 2018, 12:01 PM

Pinging @Reedy as the author of the patch above. I am not sure how that repo works.

Run the script in the repo to regenerate it

Possibly needs an interwiki map update first

Hello, please wait. Firstly, the two patches above needs to be updated. I know about it and will do it later.

@Urbanecm Don't worry, I don't plan to make any changes on parsoid.

Change 450469 merged by jenkins-bot:
[operations/mediawiki-config@master] Add correct sitename for satwiki

https://gerrit.wikimedia.org/r/450469

Change 455033 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/455033

Dzahn added a subscriber: Dzahn.Mon, Aug 27, 8:04 PM

I see that sat.wikipedia has been created on August 2 (F25203513). What is missing to close this ticket?

Urbanecm closed this task as Resolved.Mon, Aug 27, 8:41 PM

Well, nothing :).

Change 455033 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/455033

Mentioned in SAL (#wikimedia-operations) [2018-09-05T20:28:18Z] <arlolra> Updated Parsoid to 740b3a4 (T198400, T202819)